@import url('./inputs.css');
@import url('./fonts.css');
@import url('./sort.css');
@import url('./svg.css');

* {
    margin: 0;
    padding: 0;
    font-family: 'Roboto-Regular';
}

body {
    margin: 0px;
    font-size: 18px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100' height='100' viewBox='0 0 100 100'%3E%3Cg fill-rule='evenodd'%3E%3Cg fill='%23e5e5e5' fill-opacity='1'%3E%3Cpath opacity='.5' d='M96 95h4v1h-4v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9zm-1 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm9-10v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm9-10v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm9-10v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9z'/%3E%3Cpath d='M6 5V0H5v5H0v1h5v94h1V6h94V5H6z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}
/* Родительский контейнер c 9 ячейками (для центрирования) */
main {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Элемент сетки main в центральной ячейке */
section {
    grid-column: 2 / span 1;
    display: grid;
    grid-template-rows: repeat(auto, 1fr);
    grid-template-columns: repeat(auto, 1fr);
    min-width: 550px;
    max-width: 550px;
    overflow: auto;
    background-color: #f5f5f5;
    padding: 4.24px;
    border: 1.5px solid #d1d1d1;
    border-radius: 8.25px;
    box-shadow: 0px 0px 50px rgba(0, 0, 0, 0.15);
}

.base {
    font-size: 100%;
    align-self: center;
    color: #767676;
    outline: none;
    resize: none;
    border-radius: 6.25px;
    padding: 8px;
    margin: 4.24px;
}

.scroller {
    height: 372px;
    overflow: auto;
    scrollbar-color: #767676 rgb(0, 0, 0, 0);
}

.header-box {
    display: grid;
    grid-template-columns: 1fr;
}

.file-box {
    display: grid;
    grid-template-columns: 50% 20% 20% 10%;
}

.add-button-box {
    display: grid;
    grid-template-columns: 30% 10% 20% 10% 30%;
    /* padding-bottom: 2px; */
    /* margin-bottom: 2px; */
    /* border-bottom: 1.5px solid #e6e6e6; */
}

.ingredient-box {
    display: grid;
    grid-template-columns: 10% 50% 10% 20% 10%;
}

#ingredient-area {
    overflow: auto;
    -ms-overflow-style: none; /* IE и Edge */
    scrollbar-width: none; /* Firefox */
}

#ingredient-area::-webkit-scrollbar {
    display: none; /* Chrome, Safari, Opera */
}

.notes-box {
    display: grid;
    grid-template-columns: 1fr;
    scrollbar-color: #767676 rgb(0, 0, 0, 0);
}

.footer-box {
    display: grid;
    font-size: 110%;
    color: #767676;
    justify-items: center;
    align-items: center;
    grid-template-columns: repeat(9, auto);
    margin-left: 1%;
    margin-right: 1%;
}

.footer-weight-item {
    color: #f87171;
    text-align: center;
    font-size: 14.256px;
    margin: 4.24px;
}

.footer-separator {
    color: #e6e6e6;
    font-size: 65%;
    margin: 0px;
}

.logo {
    cursor: default;
}
.soft-border {
    border: 1.5px solid #d1d1d1;
}

.red-border {
    border: 1.5px solid #f97316;
}
.green-border {
    border: 1.5px solid #38bdf8;
}

#section {
    text-align: center;
}

b {
    font-family: 'Roboto-Bold';
}
